io.vertx.reactivex.ext.auth.oauth2.providers

## Class KeycloakAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.providers.OpenIDConnectAuth
  - - io.vertx.reactivex.ext.auth.oauth2.providers.KeycloakAuth

-     public class KeycloakAuth
      extends OpenIDConnectAuth

  Simplified factory to create an for Keycloak.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<KeycloakAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakAuth(KeycloakAuth delegate)`
    `KeycloakAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject config)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject config, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, OAuth2FlowType flow, JsonObject config)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, OAuth2FlowType flow, JsonObject config, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Keycloak
    `static void` | `discover(Vertx vertx, OAuth2Options config)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `static void` | `discover(Vertx vertx, OAuth2Options config, Handler<AsyncResult<OAuth2Auth>> handler)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `boolean` | `equals(Object o)`
    `KeycloakAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static KeycloakAuth` | `newInstance(KeycloakAuth arg)`
    `static Single<OAuth2Auth>` | `rxDiscover(Vertx vertx, OAuth2Options config)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.oauth2.providers.OpenIDConnectAuth

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KeycloakAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### KeycloakAuth

          public KeycloakAuth(KeycloakAuth delegate)

    - #### KeycloakAuth

          public KeycloakAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenIDConnectAuth`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `OpenIDConnectAuth`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `OpenIDConnectAuth`

    - #### getDelegate

          public KeycloakAuth getDelegate()

      Overrides:
        `getDelegate` in class `OpenIDConnectAuth`

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          JsonObject config)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `config` - the json config file exported from Keycloak admin console
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          OAuth2FlowType flow,
                                          JsonObject config)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `flow` - the oauth2 flow to use
        `config` - the json config file exported from Keycloak admin console
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          JsonObject config,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `config` - the json config file exported from Keycloak admin console
        `httpClientOptions` - custom http client options
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          OAuth2FlowType flow,
                                          JsonObject config,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `vertx` -
        `flow` - the oauth2 flow to use
        `config` - the json config file exported from Keycloak admin console
        `httpClientOptions` - custom http client options
      Returns:

    - #### discover

          public static void discover(Vertx vertx,
                                      OAuth2Options config,
                                      Handler<AsyncResult<OAuth2Auth>> handler)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
        `handler` - the instantiated Oauth2 provider instance handler

    - #### discover

          public static void discover(Vertx vertx,
                                      OAuth2Options config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config

    - #### rxDiscover

          public static Single<OAuth2Auth> rxDiscover(Vertx vertx,
                                                      OAuth2Options config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
      Returns:

    - #### newInstance

          public static KeycloakAuth newInstance(KeycloakAuth arg)

Copyright © 2021 Eclipse. All rights reserved.